---

#! jobs/stress-ng-part1.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: full

# ---
job_origin: stress-ng-part1.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-srf-2sp1
tbox_group: lkp-srf-2sp1
job_file: "/lkp/jobs/scheduled/lkp-srf-2sp1/stress-ng-performance-100%-full-60s-debian-12-x86_64-20240206.cgz-bdf609118326-20240626-41954-1kozj55-2.yaml"
id: e53c222a68069271cd6256a2601dc06a880cf463
queuer_version: "/zday/lkp"

#! /db/releases/20240622135753/lkp-src/hosts/lkp-srf-2sp1
model: Sierra Forest
nr_node: 2
nr_cpu: 256
memory: 128G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-SAMSUNG_MZQL2960HCJR-00B7C_S63WNE0T400287-part*"
rootfs_partition: "/dev/disk/by-id/nvme-Micron_7450_MTFDKBG960TFR_22323DDFA9D2-part4"
kernel_cmdline_hw: acpi_rsdp=0x777fe014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: GENUINE INTEL(R) XEON(R)

#! /db/releases/20240622135753/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240622135753/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240622135753/lkp-src/include/stress-ng

#! /db/releases/20240622135753/lkp-src/include/queue/cyclic
commit: bdf609118326e7c15f1c7efbc629bd9f7f307231
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-06-26 01:18:56.002718320 +08:00
_rt: "/result/stress-ng/performance-100%-full-60s/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231"
compiler: gcc-13
head_commit: f76698bd9a8ca01d3581236082d786e9a6b72bb7
base_commit: 6ba59ff4227927d3a8530fc2973b80e94b54d58f
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240625-204934"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-full-60s/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231/vmlinuz-6.10.0-rc1-00008-gbdf609118326
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-srf-2sp1/stress-ng-performance-100%-full-60s-debian-12-x86_64-20240206.cgz-bdf609118326-20240626-41954-1kozj55-2.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=bdf609118326e7c15f1c7efbc629bd9f7f307231
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x777fe014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240612.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-ecd3fe291-1_20240612.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240624160847/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-srf-2sp1/stress-ng-performance-100%-full-60s-debian-12-x86_64-20240206.cgz-bdf609118326-20240626-41954-1kozj55-2.cgz"
last_kernel: 6.10.0-rc4
acpi_rsdp: '0x777fe014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231/vmlinuz-6.10.0-rc1-00008-gbdf609118326"
result_root: "/result/stress-ng/performance-100%-full-60s/lkp-srf-2sp1/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/bdf609118326e7c15f1c7efbc629bd9f7f307231/0"

#! /db/releases/20240625205656/lkp-src/include/site/inn
dequeue_time: 2024-06-26 01:59:39.784951020 +08:00
job_state: finished
loadavg: 15.42 29.41 14.04 2/2172 14024
start_time: '1719365307'
end_time: '1719365367'
version: "/lkp/lkp/.src-20240625-205203:e6254fe10513:f4d5e7eae3e0"
